Subject: autotoss bug

From: John Goerzen <[email-masked]>
Date: Thu, 06 May 2021 08:44:24 -0500

Hi,

I started trying out -autotoss with nncp-call for the first time 
this week.  I experienced an issue with a set of data piped to 
nncp-exec; an incomplete set of data was sent to the process on 
the receiving side.

I had interrupted nncp-call with Ctrl-C at some point during this 
experimentation, and I also experienced some protocol-related 
hangups from each end, so I am theorizing that nncp-call attempted 
to autotoss an incomplete packet.

I removed -autotoss from the command line, and after the calls 
with the remote eventually concluded, nncp-toss tossed the packet 
correctly (with full data).

The packet was being fed into a command that was able to detect 
the incomplete data and exited with an error code, permitting the 
retries that eventually succeeded.

I've never seen this behavior with regular nncp-toss.

Thanks,

- John